跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
holderTrend
代幣 - 持有者趨勢
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/holderTrend \
  --header 'Authorization: Bearer <token>'
[
  {
    "bluechipAmountRatio": "0.0200",
    "bundleAmountRatio": "0.0006",
    "creatorsAmountRatio": "0.0050",
    "devAmountRatio": "0.0100",
    "freshAmountRatio": "0.1500",
    "holders": "644381",
    "insiderAmountRatio": "0.0200",
    "kolAmountRatio": "0.0300",
    "phishingAmountRatio": "0.1400",
    "proAmountRatio": "0.0300",
    "ratAmountRatio": "0.0001",
    "sandwichAmountRatio": "0.0020",
    "smartAmountRatio": "0.0800",
    "sniperAmountRatio": "0.0050",
    "timestamp": 1747353600000,
    "top100HoldersRatio": "0.2500",
    "top10HoldersRatio": "0.0832",
    "top50HoldersRatio": "0.1500"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

An address of a token

查詢參數

resolution
string
預設值:1h

DTO.TOKEN.HOLDER_TREND.RESOLUTION Aggregation resolution: 1h (default) | 1d

from
integer<int64>

DTO.TOKEN.HOLDER_TREND.FROM Start timestamp in Unix milliseconds (default: 30 days ago)

to
integer<int64>

DTO.TOKEN.HOLDER_TREND.TO End timestamp in Unix milliseconds (default: now)

回應

200 - application/json

持有者趨勢數據點

bluechipAmountRatio
string
必填

Bluechip holder ratio (0–1)

範例:

"0.0200"

bundleAmountRatio
string
必填

Bundle (bundler) wallet holding ratio (0–1)

範例:

"0.0006"

creatorsAmountRatio
string
必填

Creator wallet holding ratio (0–1)

範例:

"0.0050"

devAmountRatio
string
必填

Dev wallet holding ratio (0–1)

範例:

"0.0100"

freshAmountRatio
string
必填

Fresh wallet holding ratio (0–1)

範例:

"0.1500"

holders
string
必填

Total holder count

範例:

"644381"

insiderAmountRatio
string
必填

Insider wallet holding ratio (0–1)

範例:

"0.0200"

kolAmountRatio
string
必填

KOL wallet holding ratio (0–1)

範例:

"0.0300"

phishingAmountRatio
string
必填

Phishing (entrapment) wallet holding ratio (0–1)

範例:

"0.1400"

proAmountRatio
string
必填

Pro wallet holding ratio (0–1)

範例:

"0.0300"

ratAmountRatio
string
必填

Rat trader holding ratio (0–1)

範例:

"0.0001"

sandwichAmountRatio
string
必填

Sandwich bot holding ratio (0–1)

範例:

"0.0020"

smartAmountRatio
string
必填

Smart wallet holding ratio (0–1)

範例:

"0.0800"

sniperAmountRatio
string
必填

Sniper wallet holding ratio (0–1)

範例:

"0.0050"

timestamp
integer<int64>
必填

Unix timestamp in milliseconds (start of the hour or day bucket)

範例:

1747353600000

top100HoldersRatio
string
必填

Top-100 holder ratio (0–1)

範例:

"0.2500"

top10HoldersRatio
string
必填

Top-10 holder ratio (0–1)

範例:

"0.0832"

top50HoldersRatio
string
必填

Top-50 holder ratio (0–1)

範例:

"0.1500"